번역에 사용할 수 있는 엔진 없음
이 문제가 발생하면 API는 403 Forbidden 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/no-translatable-engine입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
<organizationId> 조직의 어떤 엔진으로도 번역할 수 없어, 사용자의 모든 현지화 작업에서 해당 조직의 아티팩트를 사용할 수 없습니다. 조직 관리자에게 'engine:translate' 권한이나 엔진 접근 권한을 요청하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
organizationId | string |
예시#
json
{
"detail": "You cannot translate with any engine of organization <organizationId>, so no localization job of yours could use an artifact there. Ask an organization admin for the 'engine:translate' permission or for access to an engine.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/no-translatable-engine",
"status": 403,
"title": "No engine to translate with"
}이 오류를 반환하는 엔드포인트#
PUT /v2/organizations/{orgId}/localization/artifacts/{address}